Page MenuHomePhabricator

Couldn't find constant ProofreadPage::AS_HOOK_ERROR in ProofreadPage::onEditFilterMergedContent
Closed, ResolvedPublic

Description

This error was spotted more than 600 times in production this morning:

error: Couldn't find constant ProofreadPage::AS_HOOK_ERROR in /srv/mediawiki/php-1.28.0-wmf.15/extensions/ProofreadPage/ProofreadPage.body.php on line 625

https://github.com/wikimedia/mediawiki-extensions-ProofreadPage/blob/wmf/1.28.0-wmf.15/ProofreadPage.body.php#L623

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 20 2016, 10:10 AM
Dereckson renamed this task from Couldn't find constant ProofreadPage::AS_HOOK_ERROR in to Couldn't find constant ProofreadPage::AS_HOOK_ERROR in ProofreadPage::onEditFilterMergedContent.Aug 20 2016, 10:13 AM
Dereckson triaged this task as High priority.
Dereckson added a project: ProofreadPage.
Dereckson updated the task description. (Show Details)
Dereckson added a subscriber: Tpt.

ProofreadPage::AS_HOOK_ERROR has been introduced in commit b7302130de.

Dereckson added a comment.EditedAug 20 2016, 10:17 AM

AS_HOOK_ERROR is a constant from EditPage class.

class EditPage {

    /**
     * Status: Article update aborted by a hook function
     */
    const AS_HOOK_ERROR = 210;

Change 305773 had a related patch set uploaded (by Dereckson):
Fix unknown constant AS_HOOK_ERROR issue in ProofreadPage

https://gerrit.wikimedia.org/r/305773

Dereckson moved this task from Backlog to Top priority on the ProofreadPage board.

Change 305773 merged by jenkins-bot:
Fix unknown constant AS_HOOK_ERROR issue in ProofreadPage

https://gerrit.wikimedia.org/r/305773

Change 305776 had a related patch set uploaded (by Dereckson):
Fix unknown constant AS_HOOK_ERROR issue in ProofreadPage

https://gerrit.wikimedia.org/r/305776

Change 305776 merged by jenkins-bot:
Fix unknown constant AS_HOOK_ERROR issue in ProofreadPage

https://gerrit.wikimedia.org/r/305776

Mentioned in SAL [2016-08-22T13:43:19Z] <dereckson@tin> Synchronized php-1.28.0-wmf.15/extensions/ProofreadPage/ProofreadPage.body.php: Fix unknown constant AS_HOOK_ERROR issue in ProofreadPage (T143471) (duration: 00m 48s)

Jdforrester-WMF closed this task as Resolved.Aug 22 2016, 3:37 PM